Avro C#

Public Member Functions | List of all members
Avro.Generic.PreresolvingDatumReader< T >.EnumAccess Interface Reference

Defines the interface for a class that provides access to an enum implementation. More...

## Public Member Functions
object | CreateEnum (object reuse, int ordinal)
| Creates an enum value. More...

## Detailed Description

Defines the interface for a class that provides access to an enum implementation.

## Member Function Documentation

## ◆ CreateEnum()

object Avro.Generic.PreresolvingDatumReader< T >.EnumAccess.CreateEnum | ( | object | reuse,
|  | int | ordinal
| ) |  |

Creates an enum value.

Parameters

  reuse | Optional object to reuse as the enum value. May be null.
  ordinal | Ordinal value of the enum entry.

Returns
  An object representing the enum value.

The documentation for this interface was generated from the following file:

- src/apache/main/Generic/PreresolvingDatumReader.cs